Subject: Re: guile bug#19180: vacuum_weak_hash_table error

From: [email-masked] (Ludovic Courtès)
Date: Mon, 08 Dec 2014 10:34:01 +0100

Anand Mohanadoss <[email-masked]> skribis:

> I downloaded the current guile code in git and will give it a try.  But,
> given that this is not a stable release, I am not sure if we can really use
> it for our purposes.
>
> Do you or Ludovic know when a stable 2.2 version will be released?  From
> stability point of you, would it be better to use a patched version of
> 2.0.11 that handles the case we noticed (e.g. don't attempt to remove items
> from hash table if len = 0)?

There is not ETA for 2.2.

For now, I would recommend using the ‘stable-2.0’ branch, which
corresponds to what will (hopefully soon) become 2.0.12.

Thanks,
Ludo’.